

all: build vet lint

build:
	go build ./

vet:
	go vet ./...

lint:
	golangci-lint run --timeout 5m --issues-exit-code 0 --out-format code-climate ./... > gl-code-quality-report.json 

clean:
	$(RM) ./simulator
	$(RM) ./gl-code-quality-report.json